import * as React from 'react'
import { ConfigProvider } from 'antd'
import zh_CN from 'antd/lib/locale/zh_CN'
import { UseRequestProvider } from 'ahooks'
import { instance } from './utils/request'
import Router from './router'

export default () => {
  return (
    <ConfigProvider locale={zh_CN}>
      <UseRequestProvider
        value={{
          requestMethod: instance,
        }}
      >
        <Router></Router>
      </UseRequestProvider>
    </ConfigProvider>
  )
}
